@font-face {
  font-family: "GreycliffCF-Medium";
  src: url("./fonts/GreycliffCF-Medium.otf") format("opentype");
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "GreycliffCF-regular";
  src: url("./fonts/GreycliffCF-Regular.otf") format("opentype");
  font-style: normal;
  font-display: swap;
}
 
body {
  font-family: "GreycliffCF-regular", sans-serif;
  width: 100%;
  height: 100vh;
  margin: 0;
  padding: 0;
  font-size: 18px;
  background-color: white;
}

body,
h1,
h2,
h3,
h4,
p,
figure,
ul,
li {
  margin: 0;
  padding: 0;
  list-style: none;
}

h1,
h2,
h3 {
  font-family: "GreycliffCF-Medium";
}

*,
*::after,
*::before {
  box-sizing: border-box;
}

a {
  color: inherit;
  text-decoration: none;
}

img {
  max-width: 100%;
  height: auto;
}

.container:not(body.impressum .container, body.datenschutz .container) {
  display: flex;
  gap: 20px;
  max-width: 1200px;
  justify-content: center;
  align-items: center;
  width: 94%;
  height: 95vh;
  margin: 0 auto;
}

img {
  object-fit: contain;
  width: 200px;
  height: 150px;
}

a {
  text-decoration: none;
  color: #e6303c;
}

.card {
  position: relative;
  width: 30vw;
  height: 70vh;
  max-height: 500px;
  border: 1px solid lightgray;
  border-radius: 15px;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: #fff;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  padding: 20px;
}

.card-logo {
  margin-bottom: 20px;
}

.card-logo {
  z-index: 1;
  position: relative;
}

.card .arrow svg {
  fill: none;
  stroke: #e6303c;
  stroke-width: 2;
  width: 20px;
  height: 20px;
}

.card a {
  text-transform: uppercase;
  padding: 10px 20px;
  display: flex;
  justify-content: center;
  text-align: center;
  align-items: center;
  padding: 10px 20px;
  border: 2px solid #e6303c;
  border-radius: 15px;
  transition: background-color 0.2s ease, color 0.2s ease;
}

.card a span {
  display: inline-block;
  width: 20px;
  height: 20px;
  margin: 2px 0 0 20px;
}

.card span svg {
  stroke: #e6303c;
  color: #e6303c;
  transition: stroke 0.2s ease;
}

.card a:hover {
  background-color: #e6303c;
  color: #fff;
}

.card a:hover .arrow svg {
  stroke: #fff;
}

.card a:hover a {
  color: #fff;
}

footer {
  width: 100%;
  height: 5vh;
  background: #eeeeee;
}

footer .inner {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 100%;
  width: 94%;
  max-width: 1200px;
  margin: 0 auto;
}

footer .inner a {
  color: black;
  text-decoration: underline;
}

/*
Only desktop
*/
@media (hover: hover) {
  .card {
    transition: all 0.4s ease;
  }

  #nayoki_performance::after {
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    border-radius: 15px;
    opacity: 0;
    transition: opacity 0.4s ease;
    background: url("images/nayoki_bg_dark.png") no-repeat;
    background-position: center;
    background-size: cover;
  }

  #addfame::after {
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    border-radius: 15px;
    opacity: 0;
    background: url("images/addfame-bild.jpg") no-repeat center;
    background-size: cover;
    transition: opacity 0.4s ease;
  }

  #mediaplus::after {
    content: "";
    display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    border-radius: 15px;
    opacity: 0;
    background: url("images/mediaplus_bg_dark-min.png") no-repeat;
    background-position: center;
    background-size: cover;
    transition: opacity 0.4s ease;
  }

  #nayoki_performance:hover::after,
  #addfame:hover::after,
  #mediaplus:hover::after {
    opacity: 0.9;
  }

  .card:hover {
    opacity: 0.9;
  }

  .card a:hover {
    color: #f4f4f4;
  }
}

@media screen and (max-width: 860px) {
  body {
    height: 100%;
  }

  .container {
    flex-direction: column;
    gap: 20px;
    width: 90%;
    padding: 50px 0;
  }

  .card {
    width: 90%;
  }

  footer {
    height: max-content;
    padding: 30px 0;
  }

  footer .inner {
    flex-direction: column;
    gap: 20px;
  }
  
  footer .inner a {
    display: block;
  }
}

/*************************
Impressum
**************************/
.page_title {
  text-transform: uppercase;
  font-size: 40px;
}

body.impressum {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

body.datenschutz {
  height: 100%;
}

address {
  font-style: normal;
  line-height: 1.3em;
}

.datenschutz address {
  margin: 0 0 20px;
}

.impressum div:not(.impressum .contact_container, .impressum footer div),
.datenschutz div:not(.datenschutz footer div) {
  margin-bottom: 50px;
}

.impressum .contact_container {
  margin: 20px 0;
}

.impressum main {
  padding: 100px 0;
  flex: 1;
}

.datenschutz main {
  height: 100%;
  padding: 100px 0;
}

body.impressum footer,
body.datenschutz footer {
  padding: 2rem;
}

.wrapper {
  max-width: 1200px;
  width: 94%;
  margin: 0 auto;
}

.impressum a:not(footer a),
.datenschutz a:not(footer a) {
  color: black;
  display: block;
  max-width: max-content;
}

.impressum h2,
.datenschutz h2 {
  font-size: 30px;
}

.datenschutz h3 {
  font-size: 26px;
  margin-bottom: 10px;
}

.impressum h1,
h2,
.datenschutz h1,
h2 {
  margin: 0 0 10px 0;
}

.impressum p:not(.impressum footer p),
.datenschutz p:not(.datenschutz footer p) {
  line-height: 1.4em;
  margin: 0 0 20px 0;
}

/*************************
Datenschutz
**************************/
li ul {
  padding: 0 0 0 15px;
}

#list-style-disc {
  margin-bottom: 10px;
}

#list-style-disc li {
  list-style: disc !important;
}

@media screen and (max-width: 860px) {
  body.impressum {
    height: 100%;
  }
  
  .datenschutz .page_title {
    font-size: 30px;    
  }

  .impressum main,
  .datenschutz main {
    height: max-content;
    padding: 30px 0;
  }

  body.impressum footer {
    height: max-content;
  }

  .impressum h2,
  .datenschutz h2 {
    font-size: 24px;
    line-height: 26px;
  }

  .datenschutz h3 {
    font-size: 20px;
    line-height: 22px;
  }

  .impressum a,
  .datenschutz a {
    display: block;
  }
}
